
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef p3d_ERROR_H
#define p3d_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_p3d    (5210)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_p3d_ETOOMANY             H2_ENCODE_ERR(M_p3d       , 1)
#define S_p3d_HILO_ORDER           H2_ENCODE_ERR(M_p3d       , 2)
#define S_p3d_PLACEMENT_FAILED     H2_ENCODE_ERR(M_p3d       , 3)
#define S_p3d_BAD_PARAMS           H2_ENCODE_ERR(M_p3d       , 4)
#define S_p3d_ENOENT               H2_ENCODE_ERR(M_p3d       , 5)
#define S_p3d_ENOPOSTER            H2_ENCODE_ERR(M_p3d       , 6)
#define S_p3d_EINVAL               H2_ENCODE_ERR(M_p3d       , 7)
#define S_p3d_POSTER_READ          H2_ENCODE_ERR(M_p3d       , 8)
#define S_p3d_BLOCKED              H2_ENCODE_ERR(M_p3d       , 9)
#define S_p3d_NO_PATH              H2_ENCODE_ERR(M_p3d       , 10)
#define S_p3d_POSTER_NOT_FOUND     H2_ENCODE_ERR(M_p3d       , 11)


/* std errors */
#define S_p3d_stdGenoM_ACTIVITY_INTERRUPTED       341500929   /* 5210<<16 | 0x8000 | 100<<8 | 1 */
#define S_p3d_stdGenoM_TOO_MANY_ACTIVITIES        341500930   /* 5210<<16 | 0x8000 | 100<<8 | 2 */
#define S_p3d_stdGenoM_ACTIVITY_FAILED            341500931   /* 5210<<16 | 0x8000 | 100<<8 | 3 */
#define S_p3d_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 341500932   /* 5210<<16 | 0x8000 | 100<<8 | 4 */
#define S_p3d_stdGenoM_UNKNOWN_ACTIVITY           341500933   /* 5210<<16 | 0x8000 | 100<<8 | 5 */
#define S_p3d_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 341500934   /* 5210<<16 | 0x8000 | 100<<8 | 6 */
#define S_p3d_stdGenoM_SYSTEM_ERROR               341500935   /* 5210<<16 | 0x8000 | 100<<8 | 7 */
#define S_p3d_stdGenoM_ACTIVITY_ALREADY_ENDED     341500936   /* 5210<<16 | 0x8000 | 100<<8 | 8 */
#define S_p3d_stdGenoM_WAIT_INIT_RQST             341500937   /* 5210<<16 | 0x8000 | 100<<8 | 9 */
#define S_p3d_stdGenoM_CONTROL_CODEL_ERROR        341500938   /* 5210<<16 | 0x8000 | 100<<8 | 10 */
#define S_p3d_stdGenoM_EXEC_TASK_SUSPENDED        341500939   /* 5210<<16 | 0x8000 | 100<<8 | 11 */
#define S_p3d_stdGenoM_BAD_BLOCK_TYPE             341500940   /* 5210<<16 | 0x8000 | 100<<8 | 12 */
#define S_p3d_stdGenoM_BAD_POSTER_TYPE            341500941   /* 5210<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define P3D_H2_ERR_MSGS {\
    {"ETOOMANY", 1}, \
    {"HILO_ORDER", 2}, \
    {"PLACEMENT_FAILED", 3},\
    {"BAD_PARAMS", 4},\
    {"ENOENT", 5},\
    {"ENOPOSTER", 6},\
    {"EINVAL", 7},\
    {"POSTER_READ", 8},\
    {"BLOCKED", 9},\
    {"NO_PATH", 10},\
    {"POSTER_NOT_FOUND", 11},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int p3dRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
