
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

/* 
 * p3dType.h:     La SDI_F de p3d
 *
 * Utilise par le module et par les clients
 * (inclut dans p3dMsgLib.h et p3dPosterLib.h)
 * 
 */

#ifndef p3d_TYPE_H
#define p3d_TYPE_H

#include "genom/modules.h"
#include "p3dError.h"

/* Nombre de tache d'execution de ce module */
#define P3D_NB_EXEC_TASK                   (2)


#endif
#ifndef p3d_TYPE1_H
#define p3d_TYPE1_H

#include "/opt/openrobots/include/genPos/genPosStruct.h"
#include "/opt/openrobots/include/pom/pomStruct.h"
#include "/opt/openrobots/include/dtm/dtmStruct.h"
#include "/opt/openrobots/include/genBasic/genBasicStruct.h"
#include "p3dStruct.h"

/*
 * Structure de donnees interne
 */
typedef struct P3D_STR {
	P3DLamaGeom geomP;
	P3DLamaLimits limitsP;
	P3DArcsParams arcsP;
	P3DPlanParams planP;
	P3DSDIIo ioP;
	P3DWayPoint wpP;
	P3DSDIIo trackP;
	int trackRef;
	GENPOS_CART_SPEED speedRef;
	P3DWayPointList wpList;
	P3DGoalDistance goalDist;
	P3DStatus movingStatus;
	P3DSolution path;
	GEN_STRING64 demP3dPosterName;
	P3D_ROBOT_POS p3dPosRobotToOrigin;
	P3D_SAVEMAP_PARAMS p3dSaveMapParams;
	P3D_DISPLAY_PARAMS displayParams;
	P3D_DISPLAY_STATE displayState;
	P3D_DISPLAYCONFIG_PARAMS displayConfigParams;
	P3D_PLACEROBOT_PARAMS placeRobotPos;
	P3D_INIT initParams;
	P3D_MONITOR_DATA monitorData;
	P3D_MONITOR_PARAMS monitorParams;
	P3D_DUMP_PARAMS dumpParams;
} P3D_STR;


#endif

